﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;700&display=swap');

/* coding With Nick */

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body, html {
    height: 100%;
    font-family: 'Poppins',sans-serif;
    font-weight: 400;
}

.Main-container {
    width: 100%;
    margin: 0 auto;
}

.container-login {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    /*padding: 15px;*/
    background: #9053c7;
    background: linear-gradient(-135deg, #c850c0, #4158d0);
}

.wrap-login {
    width: 960px;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 150px 130px 33px 95px;
}

.login-pic {
    width: 316px;
}

    .login-pic img {
        max-width: 100%;
    }

.login-form {
    width: 290px;
}

.login-form-title {
    font-family: 'poppins', sans-serif;
    font-size: 24px;
    color: #333333;
    line-height: 1.2;
    text-align: center;
    font-weight: 700;
    width: 100%;
    display: block;
    padding-bottom: 54px;
}

.wrap-input {
    position: relative;
    width: 100%;
    z-index: 1;
    margin-bottom: 10px;
}

.input {
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    font-weight: 500;
    line-height: 1.5;
    color: #666666;
    outline: none;
    border: none;
    display: block;
    width: 100%;
    background: #e6e6e6;
    height: 50px;
    border-radius: 25px;
    padding: 0 30px 0 68px;
}

.focus-input {
    display: block;
    position: absolute;
    border-radius: 25px;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    box-shadow: 0px 0px 0px 0px;
    color: rgba(87, 184,70, 0.8);
}

.input:focus + .focus-input {
    animation: anim-shadow 0.5s ease-in-out forwards;
}

@-webkit-keyframes anim-shadow {
    to {
        box-shadow: 0px 0px 70px 25px;
        opacity: 0;
    }
}

@keyframes anim-shadow {
    to {
        box-shadow: 0px 0px 70px 25px;
        opacity: 0;
    }
}

.symbol-input {
    font-size: 15px;
    display: flex;
    align-items: center;
    position: absolute;
    border-radius: 25px;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-left: 35px;
    pointer-events: none;
    color: #666666;
    transition: all 0.4s
}

.input:focus + .focus-input + .symbol-input {
    color: #57b846;
    padding-left: 28px;
}

.login-form-btn-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
}

.login-form-btn {
    font-family: 'poppins',sans-serif;
    font-size: 15px;
    line-height: 1.5;
    color: #fff;
    background: #57b846;
    text-transform: uppercase;
    width: 100%;
    height: 50px;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 25px;
    transition: all 0.4s;
    border: none;
}

    .login-form-btn:hover {
        background: #333333;
    }

.text-center {
    text-align: center;
}

.txt1 {
    font-family: 'poppins';
    font-size: 13px;
    line-height: 1.5;
    color: #666666;
}

.txt2 {
    font-family: 'poppins';
    font-size: 13px;
    line-height: 1.5;
    color: #666666;
}

.p-t-1 {
    padding-top: 12px;
}

.p-t-2 {
    padding-top: 136px;
}

a {
    font-family: 'poppins', sans-serif;
    font-size: 14px;
    line-height: 1.7;
    color: #666666;
    margin: 0px;
    transition: all 0.4s;
    text-decoration: none;
    font-weight: 400;
}

    a:focus {
        outline: none !important;
    }

    a:hover {
        color: #57b846;
    }

button {
    outline: none !important;
    border: none;
    background: transparent;
}

    button:hover {
        cursor: pointer;
    }

/* Responsive */
@media (max-width: 992px) {
    .wrap-login {
        padding: 177px 90px 33px 85px;
    }

    .login-pic {
        width: 35%;
    }

    .login-form {
        width: 50%;
    }
}


@media (max-width: 768px) {
    .wrap-login {
        padding: 100px 80px 33px 80px;
    }

    .login-pic {
        display: none;
    }

    .login-form {
        width: 100%;
    }
}


@media (max-width: 576px) {
    .wrap-login {
        padding: 100px 15px 33px 15px;
    }
}

/* Message */
.Notif {
    display: none;
    position: fixed;
}

/*Preloader*/

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 10px solid #9c2d2e;
    border-right: 10px solid #5f448a;
    border-bottom: 10px solid #9c2d2e;
    border-left: 10px solid #5f448a;
    width: 60px;
    height: 60px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* The Modal (background) */
.modal-spin {
    display: none; /* Hidden by default */
    position: absolute; /* Stay in place */
    z-index: 99; /* Sit on top */
    /*padding-top: 50%;*/ /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-spin-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 15%;
    height: auto;
    text-align: center;
    font-size: 1.5vw;
    top: 40%;
    margin-top: -80px;
    z-index: 99;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }